<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

use App\Http\ApiV1\Modules\Customers\Controllers\BonusOperationsController;
use App\Http\ApiV1\Modules\Customers\Controllers\CustomersInfoController;
use App\Http\ApiV1\Modules\Customers\Controllers\FavoritesController;
use App\Http\ApiV1\Modules\Customers\Controllers\PreferencesController;
use App\Http\ApiV1\Modules\Customers\Controllers\ProductSubscribesController;
use Illuminate\Support\Facades\Route;

Route::post('customers/customers-info', [CustomersInfoController::class, 'create']);
Route::get('customers/customers-info/{id}', [CustomersInfoController::class, 'get']);
Route::delete('customers/customers-info/{id}', [CustomersInfoController::class, 'delete']);
Route::patch('customers/customers-info/{id}', [CustomersInfoController::class, 'patch']);
Route::post('customers/customers-info:search', [CustomersInfoController::class, 'search']);
Route::post('customers/favorites:search', [FavoritesController::class, 'search']);
Route::post('customers/favorites:add-products', [FavoritesController::class, 'massCreate']);
Route::post('customers/favorites:delete-products', [FavoritesController::class, 'massDelete']);
Route::post('customers/favorites:clear', [FavoritesController::class, 'clear']);
Route::post('customers/product-subscribes', [ProductSubscribesController::class, 'create']);
Route::post('customers/product-subscribes:search', [ProductSubscribesController::class, 'search']);
Route::post('customers/product-subscribes:delete-product', [ProductSubscribesController::class, 'deleteProduct']);
Route::post('customers/product-subscribes:clear', [ProductSubscribesController::class, 'clear']);
Route::post('customers/preferences:search', [PreferencesController::class, 'search']);
Route::post('customers/bonus-operations', [BonusOperationsController::class, 'create']);
Route::get('customers/bonus-operations/{id}', [BonusOperationsController::class, 'get']);
Route::delete('customers/bonus-operations/{id}', [BonusOperationsController::class, 'delete']);
Route::patch('customers/bonus-operations/{id}', [BonusOperationsController::class, 'patch']);
Route::post('customers/bonus-operations:search', [BonusOperationsController::class, 'search']);
